package com.iamberry.wechat.core.entity.statictics;

import java.io.Serializable;
import java.util.List;

/**
 * 销售管理主页面 dto
 * 2016年12月21日
 * @author Administrator
 *
 */
public class StatisticManagerDto implements Serializable{
	/**
	 * 
	 */
	private static final long serialVersionUID = 6423363810913937036L;
	
	private Integer todayProbation = 0;				//今日试用
	private Integer todaySales = 0;					//今日销售
	private Integer monthProbation = 0;				//本月试用
	private Integer monthSales = 0;					//本月销售
	private String salesManOpenid;						//业务员openid
	private String salesManRoleName;					//业务员角色名称
	private String salesManUserName;					//业务员昵称
	private List<StatisticsOrderDTO> salesOrderDto;		//试用/销售订单(未完结)
	private Integer salesOrderCount = 0;					//试用/销售订单总数(未完结)
	
	public Integer getTodayProbation() {
		return todayProbation;
	}
	public void setTodayProbation(Integer todayProbation) {
		this.todayProbation = todayProbation;
	}
	public Integer getTodaySales() {
		return todaySales;
	}
	public void setTodaySales(Integer todaySales) {
		this.todaySales = todaySales;
	}
	public Integer getMonthProbation() {
		return monthProbation;
	}
	public void setMonthProbation(Integer monthProbation) {
		this.monthProbation = monthProbation;
	}
	public Integer getMonthSales() {
		return monthSales;
	}
	public void setMonthSales(Integer monthSales) {
		this.monthSales = monthSales;
	}
	public String getSalesManOpenid() {
		return salesManOpenid;
	}
	public void setSalesManOpenid(String salesManOpenid) {
		this.salesManOpenid = salesManOpenid;
	}
	public String getSalesManRoleName() {
		return salesManRoleName;
	}
	public void setSalesManRoleName(String salesManRoleName) {
		this.salesManRoleName = salesManRoleName;
	}
	public String getSalesManUserName() {
		return salesManUserName;
	}
	public void setSalesManUserName(String salesManUserName) {
		this.salesManUserName = salesManUserName;
	}
	public List<StatisticsOrderDTO> getSalesOrderDto() {
		return salesOrderDto;
	}
	public void setSalesOrderDto(List<StatisticsOrderDTO> salesOrderDto) {
		this.salesOrderDto = salesOrderDto;
	}
	public Integer getSalesOrderCount() {
		return salesOrderCount;
	}
	public void setSalesOrderCount(Integer salesOrderCount) {
		this.salesOrderCount = salesOrderCount;
	}
	@Override
	public String toString() {
		return "StatisticManagerDto [todayProbation=" + todayProbation
				+ ", todaySales=" + todaySales + ", monthProbation="
				+ monthProbation + ", monthSales=" + monthSales
				+ ", salesManOpenid=" + salesManOpenid + ", salesManRoleName="
				+ salesManRoleName + ", salesManUserName=" + salesManUserName
				+ ", salesOrderDto=" + salesOrderDto + ", salesOrderCount="
				+ salesOrderCount + "]";
	}
}
